module Strutta
  # Flow belongs to a Strutta::Games object
  # Other Instance methods found in Strutta::APIObject
  class Flow < APIObject
    # Initializes the Strutta::Flow object
    #
    # @param game [Strutta::Games] Master Strutta::Games object
    # @return [Strutta::Flow] instantiated Strutta::Flow object
    def initialize(id = nil, game)
      @id = id
      @game = game
      @root_path = 'flow'
    end

    # GET request for Flow (no ID required)
    #
    # @return [Hash] Parsed body of the API response
    def get
      @game.verify_no_id(@id)
      @game.get({}, @root_path)
    end

    # DELETE request for Flow (no ID required)
    #
    # @return [Hash] Parsed body of the API response
    def delete
      @game.verify_no_id(@id)
      @game.delete(@root_path)
    end

    # Disbled methods
    alias_method :update, :method_disabled
    alias_method :all, :method_disabled
  end
end
