module Strutta
  # Entries belong to a Strutta::Games object
  # Instance methods found in Strutta::APIObject
  class Moderation < APIObject
    # Initializes the Strutta::Entries object
    #
    # @param id [Integer, nil] Entry id
    # @param game [Strutta::Games] Master Strutta::Games object
    # @return [Strutta::Points] instantiated Strutta::Points object
    def initialize(id = nil, game)
      @id = id
      @game = game
      @root_path = 'moderation'
    end

    # GET request for Moderation (no ID required)
    #
    # @return [Hash] Parsed body of the API response
    def get(params = {})
      @game.verify_no_id(@id)
      @game.get(params, @root_path)
    end

    # Disbled methods
    alias_method :all, :method_disabled
    alias_method :update, :method_disabled
    alias_method :delete, :method_disabled
  end
end
