module Strutta
  # Entries belong to a Strutta::Games object
  # Instance methods found in Strutta::APIObject
  class Points < APIObject
    # Initializes the Strutta::Entries object
    #
    # @param id [Integer, nil] Entry id
    # @param game [Strutta::Games] Master Strutta::Games object
    # @return [Strutta::Points] instantiated Strutta::Points object
    def initialize(id = nil, game)
      @id = id
      @game = game
      @root_path = 'points'
    end

    # Disbled methods
    alias_method :all, :method_disabled
    alias_method :get, :method_disabled
    alias_method :update, :method_disabled
    alias_method :delete, :method_disabled
  end
end
